< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package mongo
  Definition Classes
    hmrc
-  package play
  Definition Classes
    mongo
-  package json
  Definition Classes
    play
-  package formats
  Definition Classes
    json
- MongoFormats
- MongoJavatimeFormats
- MongoJodaFormats

t

uk.gov.hmrc.mongo.play.json.formats

# MongoJodaFormats 

###
Companion object MongoJodaFormats

#### trait MongoJodaFormats extends AnyRef

Self Type
  MongoJodaFormats

Linear Supertypes
AnyRef, Any
Known Subclasses
MongoJodaFormats
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MongoJodaFormats
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  trait Implicits extends AnyRef

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  final val dateTimeFormat: Format[DateTime]
7.  final val dateTimeReads: Reads[DateTime]
8.  final val dateTimeWrites: Writes[DateTime]
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
12.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final val localDateFormat: Format[LocalDate]
16.  final val localDateReads: Reads[LocalDate]
17.  final val localDateTimeFormat: Format[LocalDateTime]
18.  final val localDateTimeReads: Reads[LocalDateTime]
19.  final val localDateTimeWrites: Writes[LocalDateTime]
20.  final val localDateWrites: Writes[LocalDate]
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
29.  object Implicits extends Implicits

### Inherited from AnyRef

### Inherited from Any

### Ungrouped